Index: Makefile.defs
--- Makefile.defs.orig	2006-07-10 19:57:20.000000000 +0200
+++ Makefile.defs	2006-10-24 14:37:21.637521203 +0200
@@ -628,7 +628,7 @@
 ifeq			($(CC_SHORTVER), 4.x)
 					CPU ?= ultrasparc
 					#use 32bit for now
-					CFLAGS+=-mcpu=ultrasparc -minline-all-stringops \
+					CFLAGS+=-mcpu=ultrasparc \
 							-mtune=$(CPU) \
 							-ftree-vectorize
 else
@@ -987,6 +987,8 @@
 
 endif #mode=release
 
+LDFLAGS += -L$(prefix)/lib
+LIBS    += -lfsl
 
 #*FLAGS used for compiling the modules
 ifeq	($(CC_NAME), gcc)
@@ -1199,8 +1201,8 @@
 
 #add libssl if needed
 ifneq ($(TLS),)
-DEFS+= -I$(LOCALBASE)/ssl/include
-LIBS+= -L$(LOCALBASE)/lib -L$(LOCALBASE)/ssl/lib -lssl  -lcrypto
+DEFS+= -I$(prefix)/include
+LIBS+= -L$(prefix)/lib -lssl -lcrypto
 endif
 
 ifneq ($(found_lock_method), yes)
Index: cfg.y
--- cfg.y.orig	2006-07-10 15:37:02.000000000 +0200
+++ cfg.y	2006-10-24 14:36:05.572200941 +0200
@@ -854,7 +854,7 @@
 								tos=IPTOS_THROUGHPUT;
 							} else if (strcasecmp($3,"IPTOS_RELIABILITY")) {
 								tos=IPTOS_RELIABILITY;
-#if !defined(__OS_solaris) || !defined(__OS_netbsd)
+#if (!defined(__OS_solaris) || !defined(__OS_netbsd)) && defined(IPTOS_MINCOST)
 							} else if (strcasecmp($3,"IPTOS_MINCOST")) {
 								tos=IPTOS_MINCOST;
 #endif
Index: rtpproxy/main.c
--- rtpproxy/main.c.orig	2006-07-05 02:14:19.000000000 +0200
+++ rtpproxy/main.c	2006-10-24 14:36:05.573430941 +0200
@@ -38,7 +38,7 @@
 #include <sys/select.h>
 #include <sys/stat.h>
 #include <assert.h>
-#if !defined(__solaris__)
+#if !defined(__sun__)
 #include <err.h>
 #endif
 #include <errno.h>
@@ -128,7 +128,11 @@
 	bindhost = NULL;
 
     if ((n = resolve(ia, pf, bindhost, servname, AI_PASSIVE)) != 0)
+#if defined(__sun__)
+	errx(1, "setbindhost");
+#else
 	errx(1, "setbindhost: %s", gai_strerror(n));
+#endif
 }
 
 static void
@@ -386,10 +390,9 @@
 
     rtpp_log_write(RTPP_LOG_DBUG, glog, "received command \"%s\"", buf);
 
-    cp = buf;
     argc = 0;
     memset(argv, 0, sizeof(argv));
-    for (ap = argv; (*ap = strsep(&cp, "\r\n\t ")) != NULL;)
+    for (ap = argv, cp = strtok(buf, "\r\n\t "); (cp = strtok(NULL, "\r\n\t ")) != NULL;)
 	if (**ap != '\0') {
 	    argc++;
 	    if (++ap >= &argv[10])
@@ -642,7 +645,11 @@
 		}
 	    } else {
 		rtpp_log_write(RTPP_LOG_ERR, glog, "getaddrinfo: %s",
+#if defined(__sun__)
+		  "unknown");
+#else
 		  gai_strerror(n));
+#endif
 	    }
 	}
     }
@@ -1170,7 +1177,7 @@
     if (umode == 0) {
 	unlink(cmd_sock);
 	memset(&ifsun, '\0', sizeof ifsun);
-#if !defined(__linux__) && !defined(__solaris__)
+#if !defined(__linux__) && !defined(__sun__)
 	ifsun.sun_len = strlen(cmd_sock);
 #endif
 	ifsun.sun_family = AF_LOCAL;
@@ -1203,7 +1210,7 @@
     flags = fcntl(controlfd, F_GETFL);
     fcntl(controlfd, F_SETFL, flags | O_NONBLOCK);
 
-#if !defined(__solaris__)
+#if !defined(__sun__)
     if (nodaemon == 0) {
 	if (daemon(0, 0) == -1)
 	    err(1, "can't switch into daemon mode");
Index: rtpproxy/rtpp_util.h
--- rtpproxy/rtpp_util.h.orig	2006-04-13 06:29:19.000000000 +0200
+++ rtpproxy/rtpp_util.h	2006-10-24 14:36:05.573806775 +0200
@@ -83,7 +83,7 @@
 #define	DEFFILEMODE	(S_IRUSR|S_IWUSR|S_IRGRP|S_IWGRP|S_IROTH|S_IWOTH)
 #endif
 
-#if defined(__solaris__)
+#if defined(__sun__)
 #define err(exitcode, format, args...) \
   errx(exitcode, format ": %s", ## args, strerror(errno))
 #define errx(exitcode, format, args...) \
